part of swagger.api;

@Entity()
class LoyaltyProgram {
  
  @Property(name: 'id')
  String id = null;
  

  @Property(name: 'name')
  String name = null;
  

  @Property(name: 'pointFromTotalSpent')
  LoyaltyProgramPointFromTotalSpent pointFromTotalSpent = null;
  

  @Property(name: 'pointFromBuyItem')
  LoyaltyProgramPointFromBuyItem pointFromBuyItem = null;
  

  @Property(name: 'newMemberPoint')
  num newMemberPoint = null;
  

  @Property(name: 'redeemRules')
  List<LoyaltyProgramRedeemRules> redeemRules = [];
  
  LoyaltyProgram();

  @override
  String toString()  {
    return 'LoyaltyProgram[id=$id, name=$name, pointFromTotalSpent=$pointFromTotalSpent, pointFromBuyItem=$pointFromBuyItem, newMemberPoint=$newMemberPoint, redeemRules=$redeemRules, ]';
  }
}

