part of swagger.api;

@Entity()
class Order {
  
  @Property(name: 'id')
  String id = null;
  

  @Property(name: 'merchantId')
  String merchantId = null;
  

  @Property(name: 'outletId')
  String outletId = null;
  

  @Property(name: 'items')
  List<OrderItems> items = [];
  

  @Property(name: 'discount')
  num discount = null;
  

  @Property(name: 'subTotal')
  num subTotal = null;
  

  @Property(name: 'customerId')
  String customerId = null;
  

  @Property(name: 'payments')
  List<OrderPayments> payments = [];
  

  @Property(name: 'sentReceipts')
  List<OrderSentReceipts> sentReceipts = [];
  

  @Property(name: 'createdAt')
  String createdAt = null;
  
  Order();

  @override
  String toString()  {
    return 'Order[id=$id, merchantId=$merchantId, outletId=$outletId, items=$items, discount=$discount, subTotal=$subTotal, customerId=$customerId, payments=$payments, sentReceipts=$sentReceipts, createdAt=$createdAt, ]';
  }
}

