part of swagger.api;

@Entity()
class Promo {
  
  @Property(name: 'id')
  String id = null;
  

  @Property(name: 'name')
  String name = null;
  

  @Property(name: 'promoType')
  String promoType = null;
  //enum promoTypeEnum {  buyXgetX,  setMenu,  minimumPurchase,  };

  @Property(name: 'assignedOutlets')
  List<String> assignedOutlets = [];
  

  @Property(name: 'requirement')
  PromoRequirement requirement = null;
  

  @Property(name: 'reward')
  PromoReward reward = null;
  

  @Property(name: 'allowMultiple')
  bool allowMultiple = null;
  

  @Property(name: 'promoPeriod')
  PromoPromoPeriod promoPeriod = null;
  
  Promo();

  @override
  String toString()  {
    return 'Promo[id=$id, name=$name, promoType=$promoType, assignedOutlets=$assignedOutlets, requirement=$requirement, reward=$reward, allowMultiple=$allowMultiple, promoPeriod=$promoPeriod, ]';
  }
}

