part of swagger.api;

@Entity()
class RolePermission {
  
  @Property(name: 'id')
  String id = null;
  

  @Property(name: 'priority_rank')
  num priorityRank = null;
  

  @Property(name: 'menu')
  String menu = null;
  

  @Property(name: 'menu_name')
  String menuName = null;
  

  @Property(name: 'access')
  String access = null;
  

  @Property(name: 'pin_required')
  bool pinRequired = null;
  

  @Property(name: 'mobile_supported')
  bool mobileSupported = null;
  

  @Property(name: 'usable')
  bool usable = null;
  

  @Property(name: 'urls')
  List<String> urls = [];
  

  @Property(name: 'sub_menu')
  String subMenu = null;
  

  @Property(name: 'sub_menu_name')
  String subMenuName = null;
  

  @Property(name: 'is_allowed_for_point_pay')
  bool isAllowedForPointPay = null;
  
  RolePermission();

  @override
  String toString()  {
    return 'RolePermission[id=$id, priorityRank=$priorityRank, menu=$menu, menuName=$menuName, access=$access, pinRequired=$pinRequired, mobileSupported=$mobileSupported, usable=$usable, urls=$urls, subMenu=$subMenu, subMenuName=$subMenuName, isAllowedForPointPay=$isAllowedForPointPay, ]';
  }
}

