part of swagger.api;

@Entity()
class LoyaltyProgramRedeemRules {
  
  @Property(name: 'requiredPoint')
  num requiredPoint = null;
  

  @Property(name: 'discount')
  num discount = null;
  

  @Property(name: 'isPercentage')
  bool isPercentage = null;
  

  @Property(name: 'maximumDiscountValue')
  num maximumDiscountValue = null;
  

  @Property(name: 'minimumPurchase')
  num minimumPurchase = null;
  

  @Property(name: 'eligibleItems')
  List<LoyaltyProgramPointFromBuyItemEligibleItems> eligibleItems = [];
  

  @Property(name: 'eligibleCategories')
  List<LoyaltyProgramPointFromBuyItemEligibleCategories> eligibleCategories = [];
  
  LoyaltyProgramRedeemRules();

  @override
  String toString()  {
    return 'LoyaltyProgramRedeemRules[requiredPoint=$requiredPoint, discount=$discount, isPercentage=$isPercentage, maximumDiscountValue=$maximumDiscountValue, minimumPurchase=$minimumPurchase, eligibleItems=$eligibleItems, eligibleCategories=$eligibleCategories, ]';
  }
}

